Name:           perl-Workflow
Version:        1.32
Release:        2%{?dist}
Summary:        Simple, flexible system to implement workflows
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Workflow/
Source0:        http://www.cpan.org/authors/id/J/JO/JONASBN/Workflow-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Source98: filter-provides.sh
Source99: filter-requires.sh

%define __perl_provides %{SOURCE98}
%define __perl_requires %{SOURCE99}

BuildRequires:  perl 
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Accessor) >= 0.18
BuildRequires:  perl(Class::Factory) >= 1
BuildRequires:  perl(Class::Observable) >= 1.04
BuildRequires:  perl(DateTime) >= 0.15
BuildRequires:  perl(DateTime::Format::Strptime) >= 1
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DBD::Mock) >= 0.1
BuildRequires:  perl(DBI)
BuildRequires:  perl(Exception::Class) >= 1.1
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Log::Dispatch) >= 2
BuildRequires:  perl(Log::Log4perl) >= 0.34
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(XML::Simple) >= 2

# tests
BuildRequires:  perl(Test::More)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::Strptime)
BuildRequires:  perl(DBD::SQLite)

# optional test #1
BuildRequires:  perl(Data::UUID)
# optional test #2 -- not in Fedora yet
#BuildRequires:  perl(SPOPS)

#Requires:       perl(Class::Accessor) >= 0.18
#Requires:       perl(Class::Factory) >= 1
#Requires:       perl(Class::Observable) >= 1.04
#Requires:       perl(DateTime) >= 0.15
#Requires:       perl(DateTime::Format::Strptime) >= 1
#Requires:       perl(DBD::Mock) >= 0.1
#Requires:       perl(Exception::Class) >= 1.1
#Requires:       perl(Log::Dispatch) >= 2
#Requires:       perl(Log::Log4perl) >= 0.34
#Requires:       perl(Test::Exception)
#Requires:       perl(XML::Simple) >= 2

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The 'Workflow' Perl module implements a standalone workflow system. It
aims to be simple but flexible and therefore powerful. Each piece of
the workflow system has a direct and easily stated job, and hopefully
you'll find that you can put the pieces together to create very useful
systems.

%prep
%setup -q -n Workflow-%{version}

chmod +x %{SOURCE98} %{SOURCE99}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# note: these are a little noisy.
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO doc/ eg/ struct/ 
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 02 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.32-1
- update to 1.32
- update br's to latest required

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.26-4
Rebuild for new perl

* Wed Apr 25 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.26-3
- bump

* Sat Apr 07 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.26-2
- add BR's for optional tests

* Sat Mar 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.26-1
- Specfile autogenerated by cpanspec 1.70.
